# Imagick::getResource

(PECL imagick 2.0.0)

Imagick::getResource — Returns the specified resource's memory usage

### Description

Imagick::getResource ( int `$type` ) : int

Returns the specified resource's memory usage in megabytes.

### Parameters

`type`

  Refer to the list of resourcetype constants.

### Return Values

Returns the specified resource's memory usage in megabytes.

### Errors/Exceptions

Throws ImagickException on error.